Summary:	An X Window System image editing or paint program
Name:		xpaint
Version:	2.6.1
Release:	1mdk
Copyright:	MIT
Group:		Graphics
BuildRequires: XFree86-devel xpm-devel libjpeg-devel libpng-devel libtiff-devel zlib-devel
Source0:	/http://www.image.dk/~torsten/xpaint/xpaint-%{version}.tar.bz2
Source1:	icons-%{name}.tar.bz2
URL:            http://home.worldonline.dk/~torsten/xpaint/
Patch:		xpaint-2.4.7-config.patch.bz2
Patch1:		xpaint-2.4.7-glibc.patch.bz2

BuildRoot:	%{_tmppath}/xpaint-root

%description
XPaint is an X Window System color image editing program which supports
most standard paint program options.  XPaint also supports advanced
features like image processing algorithms.  XPaint allows you to edit
multiple images simultaneously and supports a variety of image formats,
including PPM, XBM, TIFF, JPEG, etc.

Install the xpaint package if you need a paint program for X.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name} 
#%patch -p1 -b .config
#%patch1 -p1 -b .glibc

%build
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make BINDIR=%{_prefix}/X11R6/bin DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_prefix}/X11R6/man/man1 install install.man

mkdir -p $RPM_BUILD_ROOT%{_menudir}
#mdk menu entry
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(xpaint):needs="X11" \
section="Multimedia/Graphics" \
title="Xpaint" \
longtitle="Paint programm" \
command="/usr/X11R6/bin/xpaint" \
icon="xpaint.xpm"
EOF

#mdk icon
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar jxf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%update_menus


%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README README.PNG TODO Doc
%{_prefix}/X11R6/bin/xpaint
%{_prefix}/X11R6/lib/X11/app-defaults/XPaint
%{_prefix}/X11R6/man/man1/xpaint.1x*
%{_menudir}/%{name}
%{_iconsdir}/*.xpm
%{_iconsdir}/*/*.xpm

%changelog
* Sun May 27 2001  Daouda Lo <daouda@mandrakesoft.com> 2.6.1-1mdk
- release 2.6.1
- stop Nono complains.
- cleanups

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 2.6.0-2mdk
- icons should be transparent
- let spec helper do its jobs
- menu entry in the body of the spec
- more macroz..

* Sun Aug 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.6.0-1mdk
- new and shiny version.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.9-16mdk
- automatically added BuildRequires

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4-9-15mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2.4.9-14mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2.4.9-13mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2.4.9-12mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 2.4.9-11mdk
- Release.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected status of resource file

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- changed the docs from being %config files.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new release
- wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- "make install.man" places man page in wrong location
